LibreOffice: LanguageScriptProvider Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | List of all members
LanguageScriptProvider Service Reference

This service provides a means of browsing and invoking scripts in a single language. More...

Inheritance diagram for LanguageScriptProvider:

## Included Services
service | ::com::sun::star::script::provider::ScriptProvider
Included Services inherited from ScriptProvider
service | ::com::sun::star::script::browse::BrowseNode

## Additional Inherited Members
Exported Interfaces inherited from ScriptProvider
interface | ::com::sun::star::script::provider::XScriptProvider
Exported Interfaces inherited from BrowseNode
interface | ::com::sun::star::script::browse::XBrowseNode
interface | ::com::sun::star::script::XInvocation
Public Member Functions inherited from XBrowseNode
string | getName ()
| Get the name of the node.
sequence< XBrowseNode > | getChildNodes ()
| Get the children of this node.
boolean | hasChildNodes ()
| Indicates if this node contains any children.
short | getType ()
| the type of the node.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XScriptProvider
XScript | getScript ([in] string sScriptURI) raises ( ::com::sun::star::script::provider::ScriptFrameworkErrorException )
| a factory method for the creation of XScript implementations.
Protected Member Functions inherited from XInvocation
com::sun::star::beans::XIntrospectionAccess | getIntrospection ()
| returns the introspection from this object or `NULL` if the object does not provide this information.
any | invoke ([in] string aFunctionName, [in] sequence< any > aParams, [out] sequence< short > aOutParamIndex, [out] sequence< any > aOutParam) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
| provides access to methods exposed by an object.
void | setValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
| sets a value to the property with the specified name.
any | getValue ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| returns the value of the property with the specified name.
boolean | hasMethod ([in] string aName)
| returns `TRUE` if the method with the specified name exists, else `FALSE`.
boolean | hasProperty ([in] string aName)
| returns `TRUE` if the property with the specified name exists, else `FALSE`.

## Detailed Description

This service provides a means of browsing and invoking scripts in a single language.

## Exported Interfaces

## ◆ ::com::sun::star::script::provider::ScriptProvider

service ::com::sun::star::script::provider::ScriptProvider

The documentation for this service was generated from the following file:

- com/sun/star/script/provider/LanguageScriptProvider.idl